<h1 align="center">Android Developer Roadmap 2022</h1></br>

<p align="center">
  <a href="https://opensource.org/licenses/Apache-2.0"><img alt="License" src="https://img.shields.io/badge/License-Apache%202.0-blue.svg"/></a>
  <a href="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml"><img alt="Build Status" src="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml/badge.svg"/></a>
  <a href="https://mailchi.mp/kotlinweekly/kotlin-weekly-279"><img alt="Kotlin Weekly" src="https://skydoves.github.io/badges/kotlin-weekly2.svg"/></a>
  <a href="https://androidweekly.net/issues/issue-495"><img alt="Android Weekly" src="https://skydoves.github.io/badges/android-weekly.svg"/></a>
  <a href="https://github.com/skydoves"><img alt="Profile" src="https://skydoves.github.io/badges/skydoves.svg"/></a>
</p>
<p align="center">
<a href="/README_AR.md" target="_blank"> Arabic </a> | <a href="/README.md" target="_blank"> English </a> | <a href="/README_KR.md" target="_blank"> 한국어 </a> | <a href="/README_DE.md" target="_blank"> Deutsch </a>| <a href="/README_ES.md" target="_blank"> Español</a> | <a href="/README_TR.md" target="_blank"> Turkish</a> | <a href="/README_ID.md" target="_blank"> Bahasa Indonesia</a> | <a href="/README_FR.md" target="_blank"> Français</a> | <a href="/README_PT.md" target="_blank"> Portuguese</a> | <a href="/README_KHM.md" target="_blank">ភាសាខ្មែរ</a> | <a href="/README_VI.md" target="_blank">Vietnamese</a> | <a href="/README_CN.md" target="_blank">中文</a> | <a href="/README_JP.md" target="_blank">日本語</a> | <a href="/README_FA.md" target="_blank">فارسی</a>
</p>


Android Developer Roadmap 2022 mengusulkan jalur pembelajaran untuk memahami pengembangan aplikasi Android. Kamu dapat membaca roadmap dengan mengikuti jalur garis di tengah peta. <br>

Setiap simpul menunjukkan konsep sistem Android, Android SDK, dan pustaka-pustaka yang umum digunakan. Merujuk ke [Referensi Android Developer](https://developer.android.com/reference) atau GitHub akan sangat membantu untuk memahami terminologi tertentu. <br>

Sebagai tambahan, **anda tidak perlu mempelajari semua yang ada di roadmap ini**. Jadi kami sarankan bacalah hanya bagian yang akan membantumu.

## Roadmap

<details>
  <summary>Dark mode Android Developer Roadmap</summary>

![Roadmap](images/android_developer_roadmap_dark.png)

</details>

<br>

![Roadmap](/images/android_developer_roadmap.png)

## Artikel

<a href="https://getstream.io/blog/android-developer-roadmap/"><img src="images/article.png" /></a><br>

Android Developer Roadmap 2022 didesain untuk memberikan pemahaman yang komprehensif dari ekosistem Android yang ada saat ini dan menyediakan jalur pembelajaran untuk membantumu memahami konsepnya.<br>

Dalam seri yang terbagi menjadi beberapa bagian ini, kamu akan mempelajari semua tentang ekosistem pengembangan Android mengikuti Android Developer Roadmap 2022 ini. Roadmap ini akan memberikanmu pandangan yang lebih holistik tentang komunitas Android dan bagaimana kamu bisa berproses sebagai developer.

- **[The Android Platform: The 2022 Android Developer Roadmap – Part 1](https://getstream.io/blog/android-developer-roadmap/)**
- **[App Components: The Android Developer Roadmap – Part 2](https://getstream.io/blog/android-developer-roadmap-part-2/)**
- **[App Navigation and Jetpack: The Android Developer Roadmap – Part 3](https://getstream.io/blog/android-developer-roadmap-part-3/)**
- **[Design Patterns and Architecture: The Android Developer Roadmap – Part 4](https://getstream.io/blog/design-patterns-and-architecture-the-android-developer-roadmap-part-4/)**

Jika kamu ingin mendapatkan notifikasi saat kami merilis postingan berikutnya, bergabung dengan **[watchers](https://github.com/skydoves/android-developer-roadmap/watchers)** di GitHub atau follow **[Stream](https://twitter.com/getstream_io)** di Twitter. Kamu juga bisa follow __[author](https://github.com/skydoves)__ dari repository ini.

## Demo Aplikasi

Proyek ini mencakup proyek demo seperti yang ditunjukkan pada gambar roadmap. Kamu bisa mendownload APK terbarunya di [Releases](https://github.com/skydoves/android-developer-roadmap/releases).

## Kontribusi

Proyek ini tidak mencakup semuanya, jadi apabila ada sesuatu yang kurang atau perlu diperbaiki, siapapun dapat berkontribusi ke proyek ini dengan mengikuti panduan [CONTRIBUTING](CONTRIBUTING.md) ini.

## Inspirasi

Proyek ini terinspirasi oleh [Android Developer Roadmap 2020](https://github.com/mobile-roadmap/android-developer-roadmap). Terima kasih untuk para author yang memberikan ide-ide di roadmap ini. Kamu juga dapat belajar banyak pengetahuan dari repository ini.

## Apakah proyek ini berguna untukmu? :heart:

Dukung dengan bergabung menjadi __[stargazers](https://github.com/skydoves/android-developer-roadmap/stargazers)__ untuk repository ini. :star: <br>
dan __[follow](https://github.com/skydoves)__ saya untuk kreasi saya berikutnya! 🤩

## Lisensi
```
Copyright 2021 Stream.IO, Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
