<h1 align="center">Android Developer Roadmap 2022</h1></br>

<p align="center">
  <a href="https://opensource.org/licenses/Apache-2.0"><img alt="License" src="https://img.shields.io/badge/License-Apache%202.0-blue.svg"/></a>
  <a href="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml"><img alt="Build Status" src="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml/badge.svg"/></a>
  <a href="https://mailchi.mp/kotlinweekly/kotlin-weekly-279"><img alt="Kotlin Weekly" src="https://skydoves.github.io/badges/kotlin-weekly2.svg"/></a>
  <a href="https://androidweekly.net/issues/issue-495"><img alt="Android Weekly" src="https://skydoves.github.io/badges/android-weekly.svg"/></a>
  <a href="https://github.com/skydoves"><img alt="Profile" src="https://skydoves.github.io/badges/skydoves.svg"/></a>
</p>
<p align="center">
<a href="/README_AR.md" target="_blank"> Arabic </a> | <a href="/README.md" target="_blank"> English </a> | <a href="/README_KR.md" target="_blank"> 한국어 </a> | <a href="/README_DE.md" target="_blank"> Deutsch </a>| <a href="/README_ES.md" target="_blank"> Español</a> | <a href="/README_TR.md" target="_blank"> Turkish</a> | <a href="/README_ID.md" target="_blank"> Bahasa Indonesia</a> | <a href="/README_FR.md" target="_blank"> Français</a> | <a href="/README_PT.md" target="_blank"> Portuguese</a> | <a href="/README_KHM.md" target="_blank">ភាសាខ្មែរ</a> | <a href="/README_VI.md" target="_blank">Vietnamese</a> | <a href="/README_CN.md" target="_blank">中文</a> | <a href="/README_JP.md" target="_blank">日本語</a> | <a href="/README_FA.md" target="_blank">فارسی</a>
</p>


O roteiro do Desenvolvedor Android 2022, sugere caminhos de aprendizagem para compreender o desenvolvimento Android. Você pode ler o roteiro seguindo a linha central. <br>

Cada nó indica conceitos do ecossistema Android, Android SDK, e bibliotecas geralmente usadas. Seria ideal consultar a documentação em [Android Developers Reference](https://developer.android.com/reference) ou o GitHub para terminologias específicas. <br>

Além disso, **você não precisa aprender tudo deste roteiro**. Portanto, recomendamos a leitura apenas das seções que sejam úteis para você.

## 🗺 Roteiro

<details>
  <summary>Dark mode Android Developer Roadmap</summary>

![Roadmap](images/android_developer_roadmap_dark.png)

</details>

<br>

![Roteiro](/images/android_developer_roadmap.png)

## ✍️ Artigos

<a href="https://getstream.io/blog/android-developer-roadmap/"><img src="images/article.png" /></a><br>

O roteiro do Desenvolvedor Android 2022, foi desenvolvido para lhe dar uma compreensão abrangente do ecossistema Android atual e fornecer sugestões de caminhos de aprendizagem ao longo da jornada para ajudá-lo a entender os conceitos.<br>

Nesta série de várias partes, você aprenderá tudo sobre o ecossistema de desenvolvimento Android seguindo nosso roteiro do Desenvolvedor Android 2022, que oferece uma visão mais holística da comunidade Android e de como você pode progredir como desenvolvedor.

- **[The Android Platform: The 2022 Android Developer Roadmap – Part 1](https://getstream.io/blog/android-developer-roadmap/)**
- **[App Components: The Android Developer Roadmap – Part 2](https://getstream.io/blog/android-developer-roadmap-part-2/)**
- **[App Navigation and Jetpack: The Android Developer Roadmap – Part 3](https://getstream.io/blog/android-developer-roadmap-part-3/)**
- **[Design Patterns and Architecture: The Android Developer Roadmap – Part 4](https://getstream.io/blog/design-patterns-and-architecture-the-android-developer-roadmap-part-4/)**

Se você quiser ser notificado assim que lançarmos postagens futuras, junte-se ao **[watchers](https://github.com/skydoves/android-developer-roadmap/watchers)** no GitHub ou siga **[Stream](https://twitter.com/getstream_io)** no Twitter. Você também pode seguir o__[autor](https://github.com/skydoves)__ deste repositório no GitHub.

<a href="https://getstream.io/tutorials/android-chat?utm_source=Github&utm_medium=Github_Repo_Content_Ad&utm_content=Developer&utm_campaign=2022AndroidDeveloperRoadmap&utm_term=DevRelOss">
<img src="https://user-images.githubusercontent.com/24237865/138428440-b92e5fb7-89f8-41aa-96b1-71a5486c5849.png" align="right" width="12%"/>
</a>

## ⛴ Stream

Se você estiver interessado em criar um recurso de bate-papo robusto, que seja fácil de usar, de código aberto, Kotlin-first, mantido ativamente, confira o [Stream Chat for Android](https://getstream.io/tutorials/android-chat). Se estiver interessado em criar recursos de bate-papo com o Jetpack Compose, você também pode conferir o [Stream Chat for Compose](https://getstream.io/chat/compose/tutorial/), que fornece muitos componentes do Jetpack Compose.

## 📱 Aplicação de Demonstração

Este projeto inclui um projeto de demonstração que  exibe a imagem do roteiro. Você pode baixar o APK mais recente em [Releases](https://github.com/skydoves/android-developer-roadmap/releases).

## 🤝 Contribuições

Este projeto não cobre tudo, portanto, se algo estiver faltando ou precisar ser corrigido, qualquer pessoa poderá contribuir com este projeto seguindo o [Guia de contribuições](CONTRIBUTING.md).

## 💡 Inspiração

Este projeto é inspirado por [Android Developer Roadmap 2020](https://github.com/mobile-roadmap/android-developer-roadmap). Portanto, obrigado aos autores que forneceram as ideias do roteiro. Além disso, você pode obter muito conhecimento do repositório.

## Acha este projeto útil? :heart:

Apoie este repositório com __[stargazers](https://github.com/skydoves/android-developer-roadmap/stargazers)__ :star: <br>
E __[siga-me](https://github.com/skydoves)__ para ver minhas novas criações! 🤩

## Licença
```
Copyright 2021 Stream.IO, Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
