<h1 align="center">Android Developer Roadmap 2022</h1></br>

<p align="center">
  <a href="https://opensource.org/licenses/Apache-2.0"><img alt="License" src="https://img.shields.io/badge/License-Apache%202.0-blue.svg"/></a>
  <a href="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml"><img alt="Build Status" src="https://github.com/skydoves/android-developer-roadmap/actions/workflows/build.yml/badge.svg"/></a>
  <a href="https://mailchi.mp/kotlinweekly/kotlin-weekly-279"><img alt="Kotlin Weekly" src="https://skydoves.github.io/badges/kotlin-weekly2.svg"/></a>
  <a href="https://androidweekly.net/issues/issue-495"><img alt="Android Weekly" src="https://skydoves.github.io/badges/android-weekly.svg"/></a>
  <a href="https://github.com/skydoves"><img alt="Profile" src="https://skydoves.github.io/badges/skydoves.svg"/></a>
</p>
<p align="center">
<a href="/README_AR.md" target="_blank"> Arabic </a> | <a href="/README.md" target="_blank"> English </a> | <a href="/README_KR.md" target="_blank"> 한국어 </a> | <a href="/README_DE.md" target="_blank"> Deutsch </a>| <a href="/README_ES.md" target="_blank"> Español</a> | <a href="/README_TR.md" target="_blank"> Turkish</a> | <a href="/README_ID.md" target="_blank"> Bahasa Indonesia</a> | <a href="/README_FR.md" target="_blank"> Français</a> | <a href="/README_PT.md" target="_blank"> Portuguese</a> | <a href="/README_KHM.md" target="_blank">ភាសាខ្មែរ</a> | <a href="/README_VI.md" target="_blank">Vietnamese</a> | <a href="/README_CN.md" target="_blank">中文</a> | <a href="/README_JP.md" target="_blank">日本語</a> | <a href="/README_FA.md" target="_blank">فارسی</a>
</p>


Lộ trình dành cho nhà phát triển Android 2022 đề xuất các lộ trình học tập để hiểu về lập trình Android. Bạn có thể đọc lộ trình này theo đường kẻ ở ngay giữa bản đồ bên dưới.

Mỗi nút chỉ ra các khái niệm về hệ thống Android, Android SDK và các thư viện thường được sử dụng. Điều này sẽ càng hữu ích nếu tham khảo thêm về [Tài liệu tham khảo dành cho nhà phát triển Android](https://developer.android.com/reference) hoặc GitHub để biết các thuật ngữ cụ thể. <br>

Ngoài ra, **bạn không cần phải học mọi thứ từ lộ trình này**. Vì vậy, chúng tôi khuyên bạn chỉ nên đọc những nội dung mà bạn nghĩ là nó sẽ có ích cho bạn.

## 🗺 Lộ trình

<details>
  <summary>Dark mode Android Developer Roadmap</summary>

![Roadmap](images/android_developer_roadmap_dark.png)

</details>

<br>

![Roadmap](/images/android_developer_roadmap.png)

## ✍️ Các bài báo

<a href="https://getstream.io/blog/android-developer-roadmap/"><img src="images/article.png" /></a><br>

Lộ trình dành cho nhà phát triển Android năm 2022 được thiết kế để cung cấp cho bạn sự hiểu biết toàn diện về hệ sinh thái Android hiện tại và cung cấp các lộ trình học tập được đề xuất trong suốt quá trình để giúp bạn nắm bắt các khái niệm.<br>

Trong loạt bài này, bạn sẽ tìm hiểu tất cả về hệ sinh thái phát triển Android theo Lộ trình dành cho nhà phát triển Android năm 2022 của chúng tôi, mang đến cho bạn cái nhìn tổng thể hơn về cộng đồng Android và cách bạn có thể tiến bộ hơn với tư cách là một nhà phát triển.

- **[The Android Platform: The 2022 Android Developer Roadmap – Part 1](https://getstream.io/blog/android-developer-roadmap/)**
- **[App Components: The Android Developer Roadmap – Part 2](https://getstream.io/blog/android-developer-roadmap-part-2/)**
- **[App Navigation and Jetpack: The Android Developer Roadmap – Part 3](https://getstream.io/blog/android-developer-roadmap-part-3/)**
- **[Design Patterns and Architecture: The Android Developer Roadmap – Part 4](https://getstream.io/blog/design-patterns-and-architecture-the-android-developer-roadmap-part-4/)**

Nếu bạn muốn nhận thông báo khi chúng tôi phát hành các bài đăng trong tương lai, hãy trở thành một trong những **[người theo dõi](https://github.com/skydoves/android-developer-roadmap/watchers)** trên GitHub hoặc theo dõi **[Stream](https://twitter.com/getstream_io)** trên Twitter. Bạn cũng có thể theo dõi tác giả của repository này trên GitHub.

<a href="https://getstream.io/tutorials/android-chat?utm_source=Github&utm_medium=Github_Repo_Content_Ad&utm_content=Developer&utm_campaign=2022AndroidDeveloperRoadmap&utm_term=DevRelOss">
<img src="https://user-images.githubusercontent.com/24237865/138428440-b92e5fb7-89f8-41aa-96b1-71a5486c5849.png" align="right" width="12%"/>
</a>

## ⛴ Stream

Nếu bạn quan tâm đến việc xây dựng một tính năng trò chuyện mạnh mẽ, dễ sử dụng, nguồn mở, ưu tiên Kotlin, được duy trì tích cực, hãy xem [Stream chat dành cho Android](https://getstream.io/tutorials/android-chat). Nếu quan tâm đến việc xây dựng các tính năng trò chuyện với Jetpack Compose, bạn cũng có thể xem qua [Stream Chat dành cho Compose](https://getstream.io/chat/compose/tutorial/), cung cấp rất nhiều thành phần dành cho Jetpack Compose.

## 📱 Ứng dụng demo

Dự án này bao gồm một dự án demo trong đó hiển thị hình ảnh lộ trình. Bạn có thể tải xuống APK mới nhất trên các chứa các bản phát hành [Releases](https://github.com/skydoves/android-developer-roadmap/releases).

## 🤝 Sự đóng góp

Dự án này không bao quát tất cả mọi thứ, vì vậy nếu có điều gì đó thiếu sót hoặc cần được sửa chữa, bất kỳ ai cũng có thể đóng góp cho dự án này bằng cách làm theo hướng dẫn đóng góp sau [CONTRIBUTING](CONTRIBUTING.md).

## 💡 Nguồn cảm hứng

Dự án này được lấy cảm hứng từ [Lộ trình dành cho nhà phát triển Android 2020](https://github.com/mobile-roadmap/android-developer-roadmap). Vì vậy, cảm ơn các tác giả đã cung cấp ý tưởng về lộ trình. Ngoài ra, bạn cũng có thể học hỏi nhiều kiến thức từ repository này.

## Dự án này hữu ích đối với bạn? :heart:

Tham gia hỗ trợ bằng việc trở thành một trong __[những người thả sao](https://github.com/skydoves/android-developer-roadmap/stargazers)__ cho dự án này.<br>
Và __[theo dõi](https://github.com/skydoves)__ tôi để không bị bỏ qua những sáng tạo tiếp theo của tôi. 🤩

## License
```
Copyright 2021 Stream.IO, Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
